'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var calculateClientArgs = exports.calculateClientArgs = function calculateClientArgs(_ref) {
  var method = _ref.method,
      action = _ref.action;

  var args = { method: method };
  var actionKeysToArgKeys = {
    headers: 'headers',
    url: 'url',
    body: 'data'
  };
  Object.keys(actionKeysToArgKeys).forEach(function (actionKey) {
    var actionValue = action[actionKey];
    if (!actionValue) return;
    var argsKey = actionKeysToArgKeys[actionKey];
    args[argsKey] = actionValue;
  });

  return args;
};